Skip to content

Update Schedule Action

PUT
/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"timezone": "Asia/Calcutta",
"action_tag": "pow-off",
"action": "poweroff",
"scheduled_type": "one_time",
"one_time": {
"end_type": "on",
"start_time": "2025-08-13 12:00:00",
"end_time": "2025-08-13 12:00:00"
}
}'
node_id
required
string

Path parameter node_id.

action_id
required
string

Path parameter action_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Location identifier for the schedule update

Example

<LOCATION>
Media typeapplication/json
object
timezone

IANA time zone identifier for the schedule

string

Example

Asia/Calcutta
action_tag

Identifier of the schedule action to update

string

Example

pow-off
action

Specifies the action to perform when updating the schedule

string

Example

poweroff
scheduled_type

Specifies the type of schedule being updated

string

Example

one_time
one_time
object
end_type

Specifies how the one-time schedule ends

string

Example

on
start_time

The scheduled start time for the one-time action.

string

Example

2025-08-13 12:00:00
end_time

The ending date and time for the one-time schedule.

string

Example

2025-08-13 12:00:00

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the update schedule action

integer
data

Integer identifier returned after updating a schedule

integer
errors
object
message

Message indicating the result of the update schedule action.

string

Example

{
"code": 200,
"data": 12345,
"message": "successfully updated scheduled action"
}